//
//  DragNDropViewController.swift
//  GestureRecognizers
//
//  Created by admin on 30.05.17.
//  Copyright © 2017 admin. All rights reserved.
//

import UIKit

class DragNDropViewController: UIViewController, UIGestureRecognizerDelegate {
    
    @IBOutlet weak var apple: UIImageView!
    var panGR:UIPanGestureRecognizer!
    var longPressGR:UILongPressGestureRecognizer!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        // Do any additional setup after loading the view.
        self.longPressGR = UILongPressGestureRecognizer(target: self, action:#selector(handleLongPress))
        self.view.addGestureRecognizer(self.longPressGR)
        
        self.panGR = UIPanGestureRecognizer(target: self, action: #selector(handlePan))
        self.view.addGestureRecognizer(self.panGR)
        
        self.longPressGR.delegate = self
        
        self.apple.isUserInteractionEnabled = true
        
    }
    
    func gestureRecognizer(_ gestureRecognizer: UIGestureRecognizer, shouldRecognizeSimultaneouslyWith otherGestureRecognizer:
        UIGestureRecognizer) -> Bool {
        
        return true
        
    }
    
    func handleLongPress(gestureRecognizer: UILongPressGestureRecognizer) {
        
        if gestureRecognizer.state == UIGestureRecognizerState.began   ||
            gestureRecognizer.state == UIGestureRecognizerState.changed {
            self.apple.alpha = 0.5
        } else {
            self.apple.alpha = 1.0
        }
        
        
    }
    
    func handlePan (gestureRecognizer:UIPanGestureRecognizer){
        
        if self.longPressGR.state == UIGestureRecognizerState.began ||
            self.longPressGR.state == UIGestureRecognizerState.changed {
            self.apple.center = gestureRecognizer.location(in: self.view)
        }
        
    }
    
    
    override func didReceiveMemoryWarning() {
        
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
}
